--- old/usr/src/lib/nsswitch/ldap/common/getnetgrent.c	Mon Mar 25 12:53:27 2013
+++ new/usr/src/lib/nsswitch/ldap/common/getnetgrent.c	Mon Mar 25 12:53:27 2013
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -35,8 +37,13 @@
 				    ((a).argv[0] == NULL)) ? "*" : (a).argv[0]
 #define	ISNULL(a)		(a == NULL ? "<NULL>" : a)
 #define	MAX_DOMAIN_LEN		1024
+#ifdef	LOGNAME_MAX_ILLUMOS
+#define	MAX_TRIPLE_LEN		(MAXHOSTNAMELEN + LOGNAME_MAX_ILLUMOS + \
+					MAX_DOMAIN_LEN + 5)
+#else /* LOGNAME_MAX_ILLUMOS */
 #define	MAX_TRIPLE_LEN		(MAXHOSTNAMELEN + LOGNAME_MAX + \
 					MAX_DOMAIN_LEN + 5)
+#endif /* LOGNAME_MAX_ILLUMOS */
 
 #define	_F_SETMEMBER		"(&(objectClass=nisNetGroup)(cn=%s))"
 #define	_F_SETMEMBER_SSD	"(&(%%s)(cn=%s))"
